AC_DEFUN([AJ_INIT_AUTOJ],[
dnl AC_REQUIRE([AC_EXEEXT])dnl

PROJECT=unnamed
SRCDIR=src
TESTDIR=test
BINDIR=bin
LIBDIR=lib
LOCALDIR=local
WWWDIR=www
JAVADOCDIR=javadoc
TMPDIR=tmp
LIBSFILE=libs
MANIFESTFILE=manifest

AC_SUBST([PROJECT])
AC_SUBST([SRCDIR])
AC_SUBST([TESTDIR])
AC_SUBST([BINDIR])
AC_SUBST([LIBDIR])
AC_SUBST([LIBSFILE])
AC_SUBST([LOCALDIR])
AC_SUBST([WWWDIR])
AC_SUBST([TMPDIR])
AC_SUBST([JAVADOCDIR])
AC_SUBST([MANIFESTFILE])

if test -n "$COMSPEC$ComSpec"; then
  AJ_PATH_SEPARATOR=';'
else
  AJ_PATH_SEPARATOR=':'
fi
AC_SUBST([AJ_PATH_SEPARATOR])

AC_SUBST([CLASSPATH])
AC_SUBST([JIKESPATH])

AC_PATH_PROG([BASH], [bash])
AC_CHECK_PROG([CYGPATH], [cygpath], [cygpath -wf -], [cat])
AC_PATH_PROG([WGET], [wget])
AC_PROG_JAVAC
AC_PROG_JAVA
AC_PROG_JAR
AC_PROG_JAVADOC
AC_CHECK_CLASS([ch.devzone.contract.doclet.Main], [DOCLET="-doclet ch.devzone.contract.doclet.Main"])
AC_SUBST([DOCLET])
AC_JAVA_OPTIONS

AC_PROVIDE([$0])dnl
])
